import java.io.File;
import java.nio.file.Files;
import java.nio.file.StandardCopyOption;
import java.util.prefs.Preferences;

public class AutoStartManager {
    public static void setAutoStart(boolean enable) {
        Preferences prefs = Preferences.userNodeForPackage(AutoStartManager.class);
        prefs.putBoolean("auto_start", enable);

        if (enable) {
            try {
                // 获取当前JAR路径（开发阶段使用IDE运行路径）
                String jarPath = new File(
                    WeatherApp.class.getProtectionDomain()
                        .getCodeSource().getLocation().toURI()
                ).getPath();

                // Windows启动文件夹路径
                String startupDir = System.getenv("APPDATA") + 
                    "\\Microsoft\\Windows\\Start Menu\\Programs\\Startup";
                File shortcut = new File(startupDir, "WeatherApp.lnk");

                // 复制快捷方式（实际需使用JNA创建，此处简化为文件复制）
                Files.copy(new File(jarPath).toPath(),
                    shortcut.toPath(),
                    StandardCopyOption.REPLACE_EXISTING);
            } catch (Exception e) {
                e.printStackTrace();
            }
        } else {
            // 删除启动项
            String startupPath = System.getenv("APPDATA") + 
                "\\Microsoft\\Windows\\Start Menu\\Programs\\Startup\\WeatherApp.lnk";
            new File(startupPath).delete();
        }
    }
}