import java.awt.*;
import java.awt.image.BufferedImage;
import javafx.stage.Stage;

public class SystemTrayIntegration {
    public static void createTrayIcon(Stage primaryStage) {
        if (!SystemTray.isSupported()) return;

        SystemTray tray = SystemTray.getSystemTray();
        PopupMenu popup = new PopupMenu();

        // 显示主窗口菜单项
        MenuItem showItem = new MenuItem("显示窗口");
        showItem.addActionListener(e -> primaryStage.show());

        // 设置菜单项
        MenuItem settingsItem = new MenuItem("设置");
        settingsItem.addActionListener(e -> new SettingsDialog(primaryStage).showAndWait());

        // 退出菜单项
        MenuItem exitItem = new MenuItem("退出");
        exitItem.addActionListener(e -> primaryStage.close());

        popup.add(showItem);
        popup.add(settingsItem);
        popup.addSeparator();
        popup.add(exitItem);

        // 创建托盘图标（使用16x16透明图标）
        BufferedImage icon = new BufferedImage(16, 16, BufferedImage.TYPE_INT_ARGB);
        TrayIcon trayIcon = new TrayIcon(icon, "桌面天气", popup);
        trayIcon.setImageAutoSize(true);

        try {
            tray.add(trayIcon);
        } catch (AWTException e) {
            e.printStackTrace();
        }
    }
}