package src;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.stage.Stage;
import java.awt.*;
import java.util.prefs.Preferences;

public class WeatherApp extends Application {
    private WeatherService weatherService;

    public static void main(String[] args) {
        // 检查开机自启动配置
        Preferences prefs = Preferences.userNodeForPackage(WeatherApp.class);
        if (prefs.getBoolean("auto_start", false)) {
            launch(args);
        }
    }

    @Override
    public void start(Stage primaryStage) {
        // 初始化天气服务
        weatherService = new WeatherService();
        weatherService.startWeatherUpdates();

        // 创建系统托盘
        SystemTrayIntegration.createTrayIcon(primaryStage);

        // 配置主窗口（毛玻璃效果）
        primaryStage.setTitle("桌面天气");
        primaryStage.setScene(SceneManager.createMainScene());
        primaryStage.setWidth(300);
        primaryStage.setHeight(400);
        primaryStage.setResizable(false);
        primaryStage.show();
    }

    @Override
    public void stop() {
        weatherService.stopWeatherUpdates();
        Platform.exit();
        System.exit(0);
    }
}