import java.util.Timer;
import java.util.TimerTask;
import java.util.prefs.Preferences;
import javafx.application.Platform;
// 修正：将import语句移至类定义前
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class WeatherService {
    private Timer updateTimer;
    private final String BAIDU_WEATHER_API = "https://api.map.baidu.com/weather/v1/";

    public void startWeatherUpdates() {
        updateTimer = new Timer();
        updateTimer.scheduleAtFixedRate(new TimerTask() {
            @Override
            public void run() {
                fetchWeatherData();
            }
        }, 0, 60 * 1000); // 每分钟更新
    }

    private void fetchWeatherData() {
        // 获取保存的API密钥
        Preferences prefs = Preferences.userNodeForPackage(WeatherService.class);
        String apiKey = prefs.get("baidu_api_key", "");

        if (apiKey.isEmpty()) return;

        // 调用百度天气API（伪代码）
        try {
            // 修正：使用JDK原生HttpClient替换HttpUtil
            String result = fetchWeatherData(apiKey);
            Platform.runLater(() -> {
                SceneManager.updateWeatherDisplay(result);
            });
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void stopWeatherUpdates() {
        if (updateTimer != null) {
            updateTimer.cancel();
        }
    }

    private String fetchWeatherData(String apiKey) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(BAIDU_WEATHER_API + "?ak=" + apiKey))
            .build();
        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        return response.body();
    }
}